package cn.pluss.platform.vo;

/**
 * @author yuchen
 *
 * @Description 
 */
public class PlatformSumVO {
	
	/**
	 * 门店数量
	 */
	private Integer storeCount;
	
	/**
	 * 商户数量
	 */
	private Integer merchantCount;
	
	/**
	 * 交易总额
	 */
	private Double transSum;
	
	/**
	 * 交易笔数
	 */
	private Integer transCount;
	
	/**
	 * 退款总额
	 */
	private Double refundSum;
	
	/**
	 * 退款笔数
	 */
	private Integer refundCount;
	
	
	/**
	 * 会员数量
	 */
	private Integer memberCount;
	
	/**
	 * 推广员数量
	 */
	private Integer promoterCount;
	
	/**
	 * 推广分润总额
	 */
	private Double sharemoneySum;
	
	/**
	 * 粉丝分润总额
	 */
	private Double fansShareMoneySum;
	
	/**
	 * 支付宝收益统计
	 */
	private Double aliSum;
	
	/**
	 * 微信收益统计
	 */
	private Double wechatSum;
	
	/**
	 * 乐刷收益统计
	 */
	private Double leshuaSum;
	
	/**
	 * 收益  = 支付宝收益统计+微信收益统计+乐刷收益统计
	 */
	private Double earnings;

	public Integer getStoreCount() {
		return storeCount;
	}

	public void setStoreCount(Integer storeCount) {
		this.storeCount = storeCount;
	}

	public Integer getMerchantCount() {
		return merchantCount;
	}

	public void setMerchantCount(Integer merchantCount) {
		this.merchantCount = merchantCount;
	}

	public Double getTransSum() {
		return transSum;
	}

	public void setTransSum(Double transSum) {
		this.transSum = transSum;
	}

	public Integer getTransCount() {
		return transCount;
	}

	public void setTransCount(Integer transCount) {
		this.transCount = transCount;
	}

	public Integer getMemberCount() {
		return memberCount;
	}

	public void setMemberCount(Integer memberCount) {
		this.memberCount = memberCount;
	}

	public Integer getPromoterCount() {
		return promoterCount;
	}

	public void setPromoterCount(Integer promoterCount) {
		this.promoterCount = promoterCount;
	}

	

	public Double getSharemoneySum() {
		return sharemoneySum;
	}

	public void setSharemoneySum(Double sharemoneySum) {
		this.sharemoneySum = sharemoneySum;
	}

	public Double getFansShareMoneySum() {
		return fansShareMoneySum;
	}

	public void setFansShareMoneySum(Double fansShareMoneySum) {
		this.fansShareMoneySum = fansShareMoneySum;
	}

	public Double getAliSum() {
		return aliSum;
	}

	public void setAliSum(Double aliSum) {
		this.aliSum = aliSum;
	}

	public Double getWechatSum() {
		return wechatSum;
	}

	public void setWechatSum(Double wechatSum) {
		this.wechatSum = wechatSum;
	}

	public Double getLeshuaSum() {
		return leshuaSum;
	}

	public void setLeshuaSum(Double leshuaSum) {
		this.leshuaSum = leshuaSum;
	}

	public Double getRefundSum() {
		return refundSum;
	}

	public void setRefundSum(Double refundSum) {
		this.refundSum = refundSum;
	}

	public Integer getRefundCount() {
		return refundCount;
	}

	public void setRefundCount(Integer refundCount) {
		this.refundCount = refundCount;
	}

	public Double getEarnings() {
		return earnings;
	}

	public void setEarnings(Double earnings) {
		this.earnings = earnings;
	}
	
	
}

